## ffmpegthumbs 15.12.3

=== CMakeLists.txt ===
project(ffmpegthumbs)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
find_package(KF5 REQUIRED COMPONENTS KIO)
find_package(FFmpeg COMPONENTS AVCODEC AVFORMAT SWSCALE)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PC_AVCODEC_INCLUDEDIR}
    ${PC_AVFORMAT_INCLUDEDIR}
    ${FFMPEG_INCLUDE_DIR}
    )

# Certain versions of FFMPEG need this to be defined
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D __STDC_CONSTANT_MACROS")

set( ffmpegthumbs_PART_SRCS
  ffmpegthumbnailer.cpp
  ffmpegthumbnailer/filmstripfilter.cpp
  ffmpegthumbnailer/moviedecoder.cpp
  ffmpegthumbnailer/imagewriter.cpp
  ffmpegthumbnailer/videothumbnailer.cpp
)

add_library(ffmpegthumbs MODULE ${ffmpegthumbs_PART_SRCS})

target_link_libraries(ffmpegthumbs Qt5::Gui KF5::KIOWidgets ${AVUTIL_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVCODEC_LIBRARIES} ${SWSCALE_LIBRARIES} )

install(TARGETS ffmpegthumbs DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES  ffmpegthumbs.desktop DESTINATION ${SERVICES_INSTALL_DIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
########### next target ###############


include_directories( .. )


########### next target ###############
set(ffmpegthumbtest_SRCS ffmpegthumbtest.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../ffmpegthumbnailer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../ffmpegthumbnailer/filmstripfilter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../ffmpegthumbnailer/moviedecoder.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../ffmpegthumbnailer/imagewriter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../ffmpegthumbnailer/videothumbnailer.cpp
)


add_executable(ffmpegthumbtest ${ffmpegthumbtest_SRCS} )

target_link_libraries(ffmpegthumbtest Qt5::Gui KF5::KIOWidgets ${AVUTIL_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVCODEC_LIBRARIES} ${SWSCALE_LIBRARIES})

## ffmpegthumbs 4.9.2

=== debian/changelog ===
ffmpegthumbs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:09:18 +0100

ffmpegthumbs (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:14:55 +0530

ffmpegthumbs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:58:34 +0100

ffmpegthumbs (4:4.8.90+repack-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Repack upstream tarball to add license text for cmake modules.
  * Mention cmake scripts in the copyright file.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 14 Jun 2012 16:51:13 +0200

ffmpegthumbs (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:16:02 +0100

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), libavformat-dev, libavcodec-dev,
 libswscale-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs

Package: ffmpegthumbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

## ffmpegthumbs 4.9.3

=== debian/changelog ===
ffmpegthumbs (4:4.9.3-0ubuntu0.1) quantal; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Nov 2012 01:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libavformat-dev, libavcodec-dev,
+ kdelibs5-dev (>= 4:4.9.3), libavformat-dev, libavcodec-dev,
  libswscale-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## ffmpegthumbs 4.9.5

=== debian/changelog ===
ffmpegthumbs (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:19:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3), libavformat-dev, libavcodec-dev,
+ kdelibs5-dev (>= 4:4.9.5), libavformat-dev, libavcodec-dev,
  libswscale-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## ffmpegthumbs 4.10.0

=== debian/changelog ===
ffmpegthumbs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:29:08 +0000

ffmpegthumbs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:54:12 +0000

ffmpegthumbs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:22:47 +0100

ffmpegthumbs (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:14:07 +0000

ffmpegthumbs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:34:25 +0000

ffmpegthumbs (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:41:57 +0000

ffmpegthumbs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:20:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), libavformat-dev, libavcodec-dev,
+ kdelibs5-dev (>= 4:4.10.0), libavformat-dev, libavcodec-dev,
  libswscale-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## ffmpegthumbs 4.10.2

=== debian/changelog ===
ffmpegthumbs (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:34:43 +0200

ffmpegthumbs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:11:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libavformat-dev, libavcodec-dev,
+ kdelibs5-dev (>= 4:4.10.2), libavformat-dev, libavcodec-dev,
  libswscale-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## ffmpegthumbs 4.11.2

=== debian/changelog ===
ffmpegthumbs (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:55:48 +0100

ffmpegthumbs (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:04:09 +0100

ffmpegthumbs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:55:44 +0100

ffmpegthumbs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:02:50 +0100

ffmpegthumbs (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:42 +0000

ffmpegthumbs (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:57:50 +0100

ffmpegthumbs (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:44:23 +0100

ffmpegthumbs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:33:29 +0100

ffmpegthumbs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:15 +0000

ffmpegthumbs (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:19:15 +0200

ffmpegthumbs (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

  [ Sune Vuorela ]
  * Add myself.

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 23:13:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,22 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: 
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libavformat-dev, libavcodec-dev,
- libswscale-dev, pkg-config
+ kdelibs5-dev (>= 4:4.11.2),
+ pkg-config,
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libswscale-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ffmpegthumbs.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/ffmpegthumbs.git
 
 Package: ffmpegthumbs
 Architecture: any

## ffmpegthumbs 4.11.3

=== debian/changelog ===
ffmpegthumbs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:17:04 +0100

ffmpegthumbs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Enable auto tests.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:00:20 +0200

ffmpegthumbs (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:58:39 +0200

ffmpegthumbs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 11:09:37 +0200

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
 pkg-config,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ffmpegthumbs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

## ffmpegthumbs 4.13.0

=== debian/changelog ===
ffmpegthumbs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:35:41 +0100

ffmpegthumbs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:06:54 +0200

ffmpegthumbs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:53:56 +0100

ffmpegthumbs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:33:41 +0000

ffmpegthumbs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:26:07 +0100

ffmpegthumbs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:34:59 +0000

ffmpegthumbs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:54:52 +0000

ffmpegthumbs (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:22:32 +0000

ffmpegthumbs (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:28:29 +0000

ffmpegthumbs (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:40:01 +0100

ffmpegthumbs (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:25:32 +0100

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0),
 pkg-config,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ffmpegthumbs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/ffmpegthumbs-([\d\.]*).tar.xz

## ffmpegthumbs 4.13.3

=== debian/changelog ===
ffmpegthumbs (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:19:55 +0200

ffmpegthumbs (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:47:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  pkg-config,
  libavcodec-dev,
  libavformat-dev,

## ffmpegthumbs 4.14.1

=== debian/changelog ===
ffmpegthumbs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:16 +0200

ffmpegthumbs (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jul 2014 10:24:39 +0200

ffmpegthumbs (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 May 2014 20:47:50 +0200

ffmpegthumbs (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:11 +0200

ffmpegthumbs (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:46 +0100

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ffmpegthumbs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

## ffmpegthumbs 4.14.2

=== debian/changelog ===
ffmpegthumbs (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:35:39 +0200

ffmpegthumbs (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:55:19 -0700

ffmpegthumbs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:24:58 +0200

ffmpegthumbs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:29:39 +0200

ffmpegthumbs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:09:06 +0200

ffmpegthumbs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:23:22 +0200

ffmpegthumbs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:23:34 +0200

ffmpegthumbs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:40:25 +0100

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.2),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ffmpegthumbs
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ffmpegthumbs.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

## ffmpegthumbs 14.12.3

=== debian/changelog ===
ffmpegthumbs (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:25:51 -0700

ffmpegthumbs (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:28:42 -0800

ffmpegthumbs (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:05:59 +0100

ffmpegthumbs (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 10:06:31 -0800

ffmpegthumbs (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 08:54:56 -0800

ffmpegthumbs (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 09:10:45 +0000

ffmpegthumbs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:55:19 -0700

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ffmpegthumbs.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

## ffmpegthumbs 15.08.2

=== debian/changelog ===
ffmpegthumbs (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:50:27 +0100

ffmpegthumbs (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:07:28 +0100

ffmpegthumbs (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:58:14 +0100

ffmpegthumbs (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:28:33 +0100

ffmpegthumbs (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ffmpegthumbs.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ffmpegthumbs.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

## ffmpegthumbs 15.12.3

=== debian/changelog ===
ffmpegthumbs (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:54:17 -0700

ffmpegthumbs (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding new build deps

  [ Philip Muškovac ]
  * Merge with debian git master
  * Drop the kde4 build-deps

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:23:59 +0100

ffmpegthumbs (4:15.07.90-1) unstable; urgency=medium

  * New upstream release (15.07.90).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:47 +0200

ffmpegthumbs (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 16 Feb 2015 15:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules,
+               kio-dev (>= 5.18),
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ffmpegthumbs.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ffmpegthumbs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ffmpegthumbs.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ffmpegthumbs.git
 
 Package: ffmpegthumbs
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/unstable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz
http://download.kde.org/stable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

## ffmpegthumbs 16.04.3

=== debian/changelog ===
ffmpegthumbs (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * Removing patch ffmpeg_2.9.patch
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, fixing a FTBFS. (LP: #1574037)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2016 12:15:35 +0000

ffmpegthumbs (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:18:03 +0200

ffmpegthumbs (4:15.12.0-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: ffmpeg2.9_support.patch (Closes: #803813) Thanks to
    Andreas Cadhalpun
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add upstream metadata (DEP-12)
  * Use the newer debian-qt-kde.mk
  * Use upstream ffmpeg 2.9 patch

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 May 2016 15:40:55 +0200

ffmpegthumbs (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kio-dev (>= 5.18),
+               extra-cmake-modules (>= 5.21.0~),
+               kio-dev (>= 5.21),
                libavcodec-dev,
+               libavfilter-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.2.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ffmpegthumbs.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ffmpegthumbs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
 
 Package: ffmpegthumbs
 Architecture: any

## ffmpegthumbs 16.08.3

=== debian/changelog ===
ffmpegthumbs (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:53:52 +0100

ffmpegthumbs (4:16.08.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.21.0~),
-               kio-dev (>= 5.21),
+               extra-cmake-modules (>= 1.0.0~),
+               kio-dev,
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
                libavutil-dev,
+               libkf5kio-dev,
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
 
 Package: ffmpegthumbs
 Architecture: any

## ffmpegthumbs 16.12.3

=== debian/changelog ===
ffmpegthumbs (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:23 +0000

ffmpegthumbs (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
-               kio-dev,
+               extra-cmake-modules (>= 5.31.0~),
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
                libavutil-dev,
-               libkf5kio-dev,
+               libkf5kio-dev (>= 5.31.0~),
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
 
 Package: ffmpegthumbs
 Architecture: any

## ffmpegthumbs 17.04.3

=== debian/changelog ===
ffmpegthumbs (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:25 +0100

## ffmpegthumbs 17.08.3

=== debian/changelog ===
ffmpegthumbs (4:17.08.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 12:17:13 +0100

ffmpegthumbs (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:56 +0000

ffmpegthumbs (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:07 +0000

ffmpegthumbs (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:58 +0000

ffmpegthumbs (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:10:27 +0000

ffmpegthumbs (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:29 +0000

ffmpegthumbs (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:31 +0000

ffmpegthumbs (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:54 +0000

ffmpegthumbs (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:44 +0000

ffmpegthumbs (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:13 +0000

ffmpegthumbs (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:12 +0000

ffmpegthumbs (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:46 +0000

ffmpegthumbs (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:57 +0000

ffmpegthumbs (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:40 +0000

ffmpegthumbs (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:27 +0000

=== debian/control ===
Source: ffmpegthumbs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libkf5kio-dev,
               libswscale-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git

Package: ffmpegthumbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: video thumbnail generator using ffmpeg
 FFMpegThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using FFMpeg.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## ffmpegthumbs 17.12.3

=== debian/changelog ===
ffmpegthumbs (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:01 +0000

ffmpegthumbs (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:01 +0000

ffmpegthumbs (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
                libavutil-dev,
-               libkf5kio-dev,
+               libkf5kio-dev (>= 5.31.0~),
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ffmpegthumbs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
 
 Package: ffmpegthumbs
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ffmpegthumbs-([\d.]+).tar.xz

## ffmpegthumbs 18.04.3

=== debian/changelog ===
ffmpegthumbs (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:56 +0100

ffmpegthumbs (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:33 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs

## ffmpegthumbs 18.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,10 @@
 include(WriteBasicConfigVersionFile)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
-find_package(KF5 REQUIRED COMPONENTS KIO)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui)
+find_package(KF5 REQUIRED COMPONENTS KIO I18n Config)
 find_package(FFmpeg COMPONENTS AVCODEC AVFORMAT SWSCALE)
 
 include_directories(
@@ -34,10 +34,12 @@
   ffmpegthumbnailer/videothumbnailer.cpp
 )
 
+kconfig_add_kcfg_files(ffmpegthumbs_PART_SRCS ffmpegthumbnailersettings5.kcfgc)
 add_library(ffmpegthumbs MODULE ${ffmpegthumbs_PART_SRCS})
 
-target_link_libraries(ffmpegthumbs Qt5::Gui KF5::KIOWidgets ${AVUTIL_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVCODEC_LIBRARIES} ${SWSCALE_LIBRARIES} )
+target_link_libraries(ffmpegthumbs Qt5::Core Qt5::Gui KF5::KIOWidgets KF5::KIOCore KF5::I18n KF5::ConfigCore KF5::ConfigGui ${AVUTIL_LIBRARIES} ${AVFILTER_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVCODEC_LIBRARIES} ${SWSCALE_LIBRARIES} )
 
+install(FILES ffmpegthumbnailersettings5.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install(TARGETS ffmpegthumbs DESTINATION ${PLUGIN_INSTALL_DIR})
 
 ########### install files ###############

=== debian/changelog ===
ffmpegthumbs (4:18.12.0-1) unstable; urgency=medium

  * New upstream release:
    - does not crash when the video cannot be opened (Closes: #917269)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Remove empty line at the end of changelog, and rules.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.3.0, no changes required.
  * Explicitly add the libkf5config-dev, and libkf5i18n-dev build dependencies,
    according to the upstream build system.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 11:00:09 +0100

## ffmpegthumbs 18.12.3

=== debian/changelog ===
ffmpegthumbs (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:55 +0000

ffmpegthumbs (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:21 +0000

ffmpegthumbs (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:54 +0000

ffmpegthumbs (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 14:53:28 +0000

ffmpegthumbs (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 17:55:07 +0000

## ffmpegthumbs 19.04.3

=== debian/changelog ===
ffmpegthumbs (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:36 +0100

ffmpegthumbs (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:59:27 +0100

ffmpegthumbs (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:39 +0100

ffmpegthumbs (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
                libavutil-dev,
+               libkf5config-dev,
+               libkf5i18n-dev,
                libkf5kio-dev (>= 5.31.0~),
                libswscale-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ffmpegthumbs
